################################################################
# Establish the data and function context.
#
#
# @as = entity
# @args = {
#   type: string
#   variant: string
#   hb_height: float
#   hb_width: float
#   hb_xOff: float
#   hb_yOff: float
#   hb_zOff: float
# }
################################################################


#------------------------ DATA CONTEXT ------------------------#
$data modify storage uf_entity:deco summon.input.type set value "$(type)"
$data modify storage uf_entity:deco summon.input.variant set value "$(variant)"
$data modify storage uf_entity:deco summon.input.hb_height set value $(hb_height)
$data modify storage uf_entity:deco summon.input.hb_width set value $(hb_width)
$data modify storage uf_entity:deco summon.input.hb_xOff set value $(hb_xOff)
$data modify storage uf_entity:deco summon.input.hb_yOff set value $(hb_yOff)
$data modify storage uf_entity:deco summon.input.hb_zOff set value $(hb_zOff)
#--------------------------------------------------------------#


#---------------------- FUNCTION CONTEXT ----------------------#
execute \
  summon minecraft:marker \
  run function uf_entity:.c_entity/.deco/.summon/advanced_sm \
    with storage uf_entity:deco summon.input
#--------------------------------------------------------------#