################################################################
# Summon the summon marker that holds the given parameters for 
# the actual custom entity.
#
#
# @as = marker[SM]
# @at = caller
# @args = {
#   summonDelay: int
#   TTL: int
#   loot_table: string[loot_table]
# }
################################################################


# Set marker's tags
tag @s add UF_ENTITY
tag @s add UF_ENTITY.SM

# Set marker's scores
$scoreboard players set @s UF_ENTITY.summonDelay $(summonDelay)

# Set marker's data
data modify entity @s data.summon set value "uf_api:.c_entity/.hermit_crab/.summon/default"
$data modify entity @s data.TTL set value $(TTL)
$data modify entity @s data.loot_table set value "$(loot_table)"

# Adjust marker's rotation
tp @s ~ ~ ~ ~ ~