################################################################
# Execute the on_interact function stored within the calling 
# data marker.
# 
#
# @args = {
#   owner_UUID: string
#   on_interact: string[function]
# }
# @as = marker[DM]
# @at = nd
################################################################


# Retrieve additional data if owner is a data marker
$execute as $(owner_UUID) if entity @s[tag=UF_ENTITY.DM] run data modify storage uf_entity:hitbox on_interact merge from entity @s data 

$execute as $(owner_UUID) at @s run function $(on_interact) with storage uf_entity:hitbox on_interact

# Prevent updates based on outdated data
data remove storage uf_entity:hitbox on_interact 
execute on vehicle run data remove entity @s interaction